-- Copyright (C) 1991-2006 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 6.1 Build 201 11/27/2006 SJ Full Version"

-- DATE "03/05/2007 15:22:41"

-- 
-- Device: Altera EP2C35F672C6 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneii;
USE IEEE.std_logic_1164.all;
USE cycloneii.cycloneii_components.all;

ENTITY 	lcd IS
    PORT (
	GLED1 : OUT std_logic;
	Trigger : IN std_logic;
	LCDON : OUT std_logic;
	Sw17 : IN std_logic;
	BLON : OUT std_logic;
	Sw16 : IN std_logic;
	LCDRS : OUT std_logic;
	Reset : IN std_logic;
	Clk50Mhz : IN std_logic;
	Switch : IN std_logic_vector(7 DOWNTO 0);
	LCDRW : OUT std_logic;
	LCDE : OUT std_logic;
	GLED0 : OUT std_logic;
	LDATA : OUT std_logic_vector(7 DOWNTO 0);
	LED : OUT std_logic_vector(7 DOWNTO 0)
	);
END lcd;

ARCHITECTURE structure OF lcd IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_GLED1 : std_logic;
SIGNAL ww_Trigger : std_logic;
SIGNAL ww_LCDON : std_logic;
SIGNAL ww_Sw17 : std_logic;
SIGNAL ww_BLON : std_logic;
SIGNAL ww_Sw16 : std_logic;
SIGNAL ww_LCDRS : std_logic;
SIGNAL ww_Reset : std_logic;
SIGNAL ww_Clk50Mhz : std_logic;
SIGNAL ww_Switch : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_LCDRW : std_logic;
SIGNAL ww_LCDE : std_logic;
SIGNAL ww_GLED0 : std_logic;
SIGNAL ww_LDATA : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_LED : std_logic_vector(7 DOWNTO 0);
SIGNAL \inst|out_clk~clkctrl_I_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Clk50Mhz~clkctrl_I_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst1|char_cnt[2]~32\ : std_logic;
SIGNAL \inst1|char_cnt[4]~40\ : std_logic;
SIGNAL \inst1|char_cnt[5]~35\ : std_logic;
SIGNAL \inst|ccnt[3]~162\ : std_logic;
SIGNAL \inst|ccnt[8]~159\ : std_logic;
SIGNAL \inst|ccnt[10]~155\ : std_logic;
SIGNAL \inst1|Selector0~101\ : std_logic;
SIGNAL \inst1|Selector5~152\ : std_logic;
SIGNAL \inst1|Selector9~157\ : std_logic;
SIGNAL \inst1|next_command.reset2\ : std_logic;
SIGNAL \inst1|Selector48~17\ : std_logic;
SIGNAL \inst1|Selector51~17\ : std_logic;
SIGNAL \inst|LessThan0~314\ : std_logic;
SIGNAL \Clk50Mhz~combout\ : std_logic;
SIGNAL \Clk50Mhz~clkctrl\ : std_logic;
SIGNAL \Trigger~combout\ : std_logic;
SIGNAL \Sw17~combout\ : std_logic;
SIGNAL \Sw16~combout\ : std_logic;
SIGNAL \inst|ccnt[0]~166\ : std_logic;
SIGNAL \Reset~combout\ : std_logic;
SIGNAL \inst|ccnt[12]~258\ : std_logic;
SIGNAL \inst|ccnt[0]~243\ : std_logic;
SIGNAL \inst|ccnt[1]~165\ : std_logic;
SIGNAL \inst|ccnt[1]~244\ : std_logic;
SIGNAL \inst|ccnt[2]~164\ : std_logic;
SIGNAL \inst|ccnt[2]~245\ : std_logic;
SIGNAL \inst|ccnt[3]~246\ : std_logic;
SIGNAL \inst|ccnt[4]~163\ : std_logic;
SIGNAL \inst|ccnt[4]~247\ : std_logic;
SIGNAL \inst|ccnt[5]~248\ : std_logic;
SIGNAL \inst|ccnt[6]~249\ : std_logic;
SIGNAL \inst|ccnt[7]~158\ : std_logic;
SIGNAL \inst|ccnt[7]~250\ : std_logic;
SIGNAL \inst|ccnt[8]~251\ : std_logic;
SIGNAL \inst|ccnt[9]~154\ : std_logic;
SIGNAL \inst|ccnt[9]~252\ : std_logic;
SIGNAL \inst|ccnt[10]~253\ : std_logic;
SIGNAL \inst|ccnt[11]~156\ : std_logic;
SIGNAL \inst|ccnt[11]~254\ : std_logic;
SIGNAL \inst|ccnt[12]~157\ : std_logic;
SIGNAL \inst|ccnt[12]~255\ : std_logic;
SIGNAL \inst|ccnt[13]~152\ : std_logic;
SIGNAL \inst|ccnt[13]~256\ : std_logic;
SIGNAL \inst|ccnt[14]~153\ : std_logic;
SIGNAL \inst|ccnt[14]~257\ : std_logic;
SIGNAL \inst|ccnt[15]~151\ : std_logic;
SIGNAL \inst|LessThan0~311\ : std_logic;
SIGNAL \inst|ccnt[6]~160\ : std_logic;
SIGNAL \inst|ccnt[5]~161\ : std_logic;
SIGNAL \inst|LessThan0~312\ : std_logic;
SIGNAL \inst|LessThan0~313\ : std_logic;
SIGNAL \inst|LessThan0~315\ : std_logic;
SIGNAL \inst|clk_1k~88\ : std_logic;
SIGNAL \inst|clk_1k\ : std_logic;
SIGNAL \inst|out_clk~feeder\ : std_logic;
SIGNAL \inst|out_clk\ : std_logic;
SIGNAL \inst|out_clk~clkctrl\ : std_logic;
SIGNAL \inst1|wait_cnt[0]~341\ : std_logic;
SIGNAL \inst1|state.reset1\ : std_logic;
SIGNAL \inst1|Selector40~117\ : std_logic;
SIGNAL \inst1|Selector43~115\ : std_logic;
SIGNAL \inst1|Selector43~116\ : std_logic;
SIGNAL \inst1|next_command.disp_clear_wait\ : std_logic;
SIGNAL \inst1|wait_cnt[2]~340\ : std_logic;
SIGNAL \inst1|WideOr11~13\ : std_logic;
SIGNAL \inst1|LessThan2~107\ : std_logic;
SIGNAL \inst1|Selector28~132\ : std_logic;
SIGNAL \inst1|Selector28~133\ : std_logic;
SIGNAL \inst1|state.disp_clear_wait\ : std_logic;
SIGNAL \inst1|state.chk_cnt~55\ : std_logic;
SIGNAL \inst1|state.chk_cnt~56\ : std_logic;
SIGNAL \inst1|Selector38~115\ : std_logic;
SIGNAL \inst1|Selector38~116\ : std_logic;
SIGNAL \inst1|next_command.func_set\ : std_logic;
SIGNAL \inst1|Selector23~15\ : std_logic;
SIGNAL \inst1|state.func_set\ : std_logic;
SIGNAL \inst1|Selector39~115\ : std_logic;
SIGNAL \inst1|Selector39~116\ : std_logic;
SIGNAL \inst1|next_command.disp_on\ : std_logic;
SIGNAL \inst1|Selector24~15\ : std_logic;
SIGNAL \inst1|state.disp_on\ : std_logic;
SIGNAL \inst1|Selector40~118\ : std_logic;
SIGNAL \inst1|Selector40~119\ : std_logic;
SIGNAL \inst1|next_command.disp_clear\ : std_logic;
SIGNAL \inst1|Selector25~15\ : std_logic;
SIGNAL \inst1|state.disp_clear\ : std_logic;
SIGNAL \inst1|LessThan1~87\ : std_logic;
SIGNAL \inst1|wait_cnt[1]~669\ : std_logic;
SIGNAL \inst1|wait_cnt[1]~670\ : std_logic;
SIGNAL \inst1|wait_cnt[0]~664\ : std_logic;
SIGNAL \inst1|wait_cnt[1]~342\ : std_logic;
SIGNAL \inst1|wait_cnt[1]~665\ : std_logic;
SIGNAL \inst1|wait_cnt[2]~666\ : std_logic;
SIGNAL \inst1|wait_cnt[3]~335\ : std_logic;
SIGNAL \inst1|wait_cnt[3]~667\ : std_logic;
SIGNAL \inst1|wait_cnt[4]~668\ : std_logic;
SIGNAL \inst1|wait_cnt[5]~671\ : std_logic;
SIGNAL \inst1|wait_cnt[6]~338\ : std_logic;
SIGNAL \inst1|wait_cnt[6]~672\ : std_logic;
SIGNAL \inst1|wait_cnt[7]~339\ : std_logic;
SIGNAL \inst1|wait_cnt[5]~337\ : std_logic;
SIGNAL \inst1|wait_cnt[4]~336\ : std_logic;
SIGNAL \inst1|Selector28~131\ : std_logic;
SIGNAL \inst1|next_command.reset2~417\ : std_logic;
SIGNAL \inst1|LessThan1~88\ : std_logic;
SIGNAL \inst1|next_command.reset2~418\ : std_logic;
SIGNAL \inst1|next_command.reset2~419\ : std_logic;
SIGNAL \inst1|next_command.reset3\ : std_logic;
SIGNAL \inst1|Selector20~15\ : std_logic;
SIGNAL \inst1|state.reset3\ : std_logic;
SIGNAL \inst1|Selector21~290\ : std_logic;
SIGNAL \inst1|char_cnt[0]~36\ : std_logic;
SIGNAL \inst1|char_cnt[1]~31\ : std_logic;
SIGNAL \inst1|Selector52~17\ : std_logic;
SIGNAL \inst1|char_cnt[1]~37\ : std_logic;
SIGNAL \inst1|char_cnt[2]~38\ : std_logic;
SIGNAL \inst1|char_cnt[3]~33\ : std_logic;
SIGNAL \inst1|Selector50~17\ : std_logic;
SIGNAL \inst1|char_cnt[0]~30\ : std_logic;
SIGNAL \inst1|Selector53~17\ : std_logic;
SIGNAL \inst1|Equal0~56\ : std_logic;
SIGNAL \inst1|Selector32~79\ : std_logic;
SIGNAL \inst1|char_cnt[3]~39\ : std_logic;
SIGNAL \inst1|char_cnt[4]~34\ : std_logic;
SIGNAL \inst1|Selector49~17\ : std_logic;
SIGNAL \inst1|Selector32~80\ : std_logic;
SIGNAL \inst1|state.home\ : std_logic;
SIGNAL \inst1|Selector31~20\ : std_logic;
SIGNAL \inst1|state.line2\ : std_logic;
SIGNAL \inst1|Selector2~162\ : std_logic;
SIGNAL \inst1|Selector26~79\ : std_logic;
SIGNAL \inst1|Selector26~80\ : std_logic;
SIGNAL \inst1|state.mode_set\ : std_logic;
SIGNAL \inst1|lcd_data[5]~150\ : std_logic;
SIGNAL \inst1|Selector21~291\ : std_logic;
SIGNAL \inst1|Selector21~292\ : std_logic;
SIGNAL \inst1|state.drop_e\ : std_logic;
SIGNAL \inst1|state.hold\ : std_logic;
SIGNAL \inst1|Selector19~47\ : std_logic;
SIGNAL \inst1|state.reset2\ : std_logic;
SIGNAL \inst1|Selector44~113\ : std_logic;
SIGNAL \inst1|Selector44~114\ : std_logic;
SIGNAL \inst1|next_command.wait_trigger_reset\ : std_logic;
SIGNAL \inst1|Selector29~67\ : std_logic;
SIGNAL \inst1|state.wait_trigger_reset\ : std_logic;
SIGNAL \inst1|Selector30~63\ : std_logic;
SIGNAL \inst1|state.chk_cnt\ : std_logic;
SIGNAL \inst1|Selector27~151\ : std_logic;
SIGNAL \inst1|Selector42~147\ : std_logic;
SIGNAL \inst1|Selector32~78\ : std_logic;
SIGNAL \inst1|Selector42~149\ : std_logic;
SIGNAL \inst1|Selector42~148\ : std_logic;
SIGNAL \inst1|next_command.wait_char\ : std_logic;
SIGNAL \inst1|Selector27~150\ : std_logic;
SIGNAL \inst1|Selector27~152\ : std_logic;
SIGNAL \inst1|state.wait_char\ : std_logic;
SIGNAL \inst1|Selector1~95\ : std_logic;
SIGNAL \inst1|lcd_rs\ : std_logic;
SIGNAL \inst1|Selector0~102\ : std_logic;
SIGNAL \inst1|lcd_e\ : std_logic;
SIGNAL \inst1|Selector2~164\ : std_logic;
SIGNAL \inst1|Selector2~163\ : std_logic;
SIGNAL \inst1|lcd_data[7]~reg0\ : std_logic;
SIGNAL \inst1|Selector3~144\ : std_logic;
SIGNAL \inst1|Selector3~145\ : std_logic;
SIGNAL \inst1|lcd_data[6]~reg0\ : std_logic;
SIGNAL \inst1|lcd_data[5]~151\ : std_logic;
SIGNAL \inst1|Selector4~168\ : std_logic;
SIGNAL \inst1|Selector4~169\ : std_logic;
SIGNAL \inst1|lcd_data[5]~reg0\ : std_logic;
SIGNAL \inst1|lcd_data[5]~152\ : std_logic;
SIGNAL \inst1|Selector5~153\ : std_logic;
SIGNAL \inst1|lcd_data[4]~reg0\ : std_logic;
SIGNAL \inst1|Selector6~179\ : std_logic;
SIGNAL \inst1|Selector6~180\ : std_logic;
SIGNAL \inst1|lcd_data[3]~reg0\ : std_logic;
SIGNAL \inst1|lcd_data~17\ : std_logic;
SIGNAL \inst1|lcd_data[1]~153\ : std_logic;
SIGNAL \inst1|lcd_data[2]~84\ : std_logic;
SIGNAL \inst1|lcd_data[2]~reg0\ : std_logic;
SIGNAL \inst1|lcd_data[1]~85\ : std_logic;
SIGNAL \inst1|lcd_data[1]~reg0\ : std_logic;
SIGNAL \inst1|Selector9~158\ : std_logic;
SIGNAL \inst1|lcd_data[0]~reg0\ : std_logic;
SIGNAL \inst|ccnt\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \inst1|char_cnt\ : std_logic_vector(5 DOWNTO 0);
SIGNAL \inst1|wait_cnt\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \Switch~combout\ : std_logic_vector(7 DOWNTO 0);
SIGNAL \inst1|ALT_INV_lcd_e\ : std_logic;
SIGNAL \inst1|ALT_INV_lcd_data[5]~reg0\ : std_logic;
SIGNAL \inst1|ALT_INV_lcd_data[4]~reg0\ : std_logic;
SIGNAL \inst1|ALT_INV_lcd_data[3]~reg0\ : std_logic;
SIGNAL \inst1|ALT_INV_state.wait_char\ : std_logic;
SIGNAL \ALT_INV_Reset~combout\ : std_logic;

BEGIN

GLED1 <= ww_GLED1;
ww_Trigger <= Trigger;
LCDON <= ww_LCDON;
ww_Sw17 <= Sw17;
BLON <= ww_BLON;
ww_Sw16 <= Sw16;
LCDRS <= ww_LCDRS;
ww_Reset <= Reset;
ww_Clk50Mhz <= Clk50Mhz;
ww_Switch <= Switch;
LCDRW <= ww_LCDRW;
LCDE <= ww_LCDE;
GLED0 <= ww_GLED0;
LDATA <= ww_LDATA;
LED <= ww_LED;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\inst|out_clk~clkctrl_I_INCLK_bus\ <= (gnd & gnd & gnd & \inst|out_clk\);

\Clk50Mhz~clkctrl_I_INCLK_bus\ <= (gnd & gnd & gnd & \Clk50Mhz~combout\);
\inst1|ALT_INV_lcd_e\ <= NOT \inst1|lcd_e\;
\inst1|ALT_INV_lcd_data[5]~reg0\ <= NOT \inst1|lcd_data[5]~reg0\;
\inst1|ALT_INV_lcd_data[4]~reg0\ <= NOT \inst1|lcd_data[4]~reg0\;
\inst1|ALT_INV_lcd_data[3]~reg0\ <= NOT \inst1|lcd_data[3]~reg0\;
\inst1|ALT_INV_state.wait_char\ <= NOT \inst1|state.wait_char\;
\ALT_INV_Reset~combout\ <= NOT \Reset~combout\;

\inst1|char_cnt[5]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|char_cnt[5]~35\,
	sdata => \inst1|Selector48~17\,
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|ALT_INV_state.wait_char\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|char_cnt\(5));

\inst1|char_cnt[2]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|char_cnt[2]~32\,
	sdata => \inst1|Selector51~17\,
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|ALT_INV_state.wait_char\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|char_cnt\(2));

\inst1|char_cnt[2]~32_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|char_cnt[2]~32\ = \inst1|char_cnt\(2) & (\inst1|char_cnt[1]~37\ $ GND) # !\inst1|char_cnt\(2) & !\inst1|char_cnt[1]~37\ & VCC
-- \inst1|char_cnt[2]~38\ = CARRY(\inst1|char_cnt\(2) & !\inst1|char_cnt[1]~37\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|char_cnt\(2),
	datad => VCC,
	cin => \inst1|char_cnt[1]~37\,
	combout => \inst1|char_cnt[2]~32\,
	cout => \inst1|char_cnt[2]~38\);

\inst1|char_cnt[4]~34_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|char_cnt[4]~34\ = \inst1|char_cnt\(4) & (\inst1|char_cnt[3]~39\ $ GND) # !\inst1|char_cnt\(4) & !\inst1|char_cnt[3]~39\ & VCC
-- \inst1|char_cnt[4]~40\ = CARRY(\inst1|char_cnt\(4) & !\inst1|char_cnt[3]~39\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst1|char_cnt\(4),
	datad => VCC,
	cin => \inst1|char_cnt[3]~39\,
	combout => \inst1|char_cnt[4]~34\,
	cout => \inst1|char_cnt[4]~40\);

\inst1|char_cnt[5]~35_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|char_cnt[5]~35\ = \inst1|char_cnt[4]~40\ $ \inst1|char_cnt\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst1|char_cnt\(5),
	cin => \inst1|char_cnt[4]~40\,
	combout => \inst1|char_cnt[5]~35\);

\inst|ccnt[3]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[3]~162\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(3));

\inst|ccnt[8]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[8]~159\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(8));

\inst|ccnt[10]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[10]~155\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(10));

\inst|ccnt[3]~162_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[3]~162\ = \inst|ccnt\(3) & !\inst|ccnt[2]~245\ # !\inst|ccnt\(3) & (\inst|ccnt[2]~245\ # GND)
-- \inst|ccnt[3]~246\ = CARRY(!\inst|ccnt[2]~245\ # !\inst|ccnt\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(3),
	datad => VCC,
	cin => \inst|ccnt[2]~245\,
	combout => \inst|ccnt[3]~162\,
	cout => \inst|ccnt[3]~246\);

\inst|ccnt[8]~159_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[8]~159\ = \inst|ccnt\(8) & (\inst|ccnt[7]~250\ $ GND) # !\inst|ccnt\(8) & !\inst|ccnt[7]~250\ & VCC
-- \inst|ccnt[8]~251\ = CARRY(\inst|ccnt\(8) & !\inst|ccnt[7]~250\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(8),
	datad => VCC,
	cin => \inst|ccnt[7]~250\,
	combout => \inst|ccnt[8]~159\,
	cout => \inst|ccnt[8]~251\);

\inst|ccnt[10]~155_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[10]~155\ = \inst|ccnt\(10) & (\inst|ccnt[9]~252\ $ GND) # !\inst|ccnt\(10) & !\inst|ccnt[9]~252\ & VCC
-- \inst|ccnt[10]~253\ = CARRY(\inst|ccnt\(10) & !\inst|ccnt[9]~252\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(10),
	datad => VCC,
	cin => \inst|ccnt[9]~252\,
	combout => \inst|ccnt[10]~155\,
	cout => \inst|ccnt[10]~253\);

\inst1|Selector0~101_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector0~101\ = \inst1|state.chk_cnt~55\ & (\inst1|state.wait_char\ & (!\inst1|lcd_e\) # !\inst1|state.wait_char\ & !\inst1|state.drop_e\) # !\inst1|state.chk_cnt~55\ & (!\inst1|lcd_e\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010011110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.drop_e\,
	datab => \inst1|state.chk_cnt~55\,
	datac => \inst1|state.wait_char\,
	datad => \inst1|lcd_e\,
	combout => \inst1|Selector0~101\);

\inst1|Selector5~152_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector5~152\ = \inst1|Selector21~290\ & \Switch~combout\(4) # !\inst1|Selector21~290\ & (!\inst1|lcd_data[5]~151\ & \inst1|lcd_data[5]~150\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Switch~combout\(4),
	datab => \inst1|lcd_data[5]~151\,
	datac => \inst1|Selector21~290\,
	datad => \inst1|lcd_data[5]~150\,
	combout => \inst1|Selector5~152\);

\inst1|Selector9~157_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector9~157\ = \inst1|state.disp_clear\ # \inst1|state.disp_on\ # \Switch~combout\(0) & \inst1|Selector21~290\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.disp_clear\,
	datab => \Switch~combout\(0),
	datac => \inst1|state.disp_on\,
	datad => \inst1|Selector21~290\,
	combout => \inst1|Selector9~157\);

\inst1|next_command.reset2~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|next_command.reset2~418\,
	aclr => \ALT_INV_Reset~combout\,
	ena => \inst1|next_command.reset2~419\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.reset2\);

\inst1|Selector48~17_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector48~17\ = !\inst1|state.home\ & \inst1|char_cnt\(5)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.home\,
	datad => \inst1|char_cnt\(5),
	combout => \inst1|Selector48~17\);

\inst1|Selector51~17_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector51~17\ = !\inst1|state.home\ & \inst1|char_cnt\(2)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.home\,
	datac => \inst1|char_cnt\(2),
	combout => \inst1|Selector51~17\);

\inst|LessThan0~314_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~314\ = !\inst|ccnt\(11) & !\inst|ccnt\(15) & !\inst|ccnt\(10) & !\inst|ccnt\(9)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(11),
	datab => \inst|ccnt\(15),
	datac => \inst|ccnt\(10),
	datad => \inst|ccnt\(9),
	combout => \inst|LessThan0~314\);

\Clk50Mhz~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Clk50Mhz,
	combout => \Clk50Mhz~combout\);

\Clk50Mhz~clkctrl_I\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \Clk50Mhz~clkctrl_I_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \Clk50Mhz~clkctrl\);

\Trigger~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Trigger,
	combout => \Trigger~combout\);

\Sw17~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Sw17,
	combout => \Sw17~combout\);

\Sw16~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Sw16,
	combout => \Sw16~combout\);

\inst|ccnt[0]~166_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[0]~166\ = \inst|ccnt\(0) $ VCC
-- \inst|ccnt[0]~243\ = CARRY(\inst|ccnt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(0),
	datad => VCC,
	combout => \inst|ccnt[0]~166\,
	cout => \inst|ccnt[0]~243\);

\Reset~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Reset,
	combout => \Reset~combout\);

\inst|ccnt[12]~258_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[12]~258\ = !\inst|LessThan0~315\ # !\Reset~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \Reset~combout\,
	datad => \inst|LessThan0~315\,
	combout => \inst|ccnt[12]~258\);

\inst|ccnt[0]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[0]~166\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(0));

\inst|ccnt[1]~165_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[1]~165\ = \inst|ccnt\(1) & !\inst|ccnt[0]~243\ # !\inst|ccnt\(1) & (\inst|ccnt[0]~243\ # GND)
-- \inst|ccnt[1]~244\ = CARRY(!\inst|ccnt[0]~243\ # !\inst|ccnt\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(1),
	datad => VCC,
	cin => \inst|ccnt[0]~243\,
	combout => \inst|ccnt[1]~165\,
	cout => \inst|ccnt[1]~244\);

\inst|ccnt[1]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[1]~165\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(1));

\inst|ccnt[2]~164_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[2]~164\ = \inst|ccnt\(2) & (\inst|ccnt[1]~244\ $ GND) # !\inst|ccnt\(2) & !\inst|ccnt[1]~244\ & VCC
-- \inst|ccnt[2]~245\ = CARRY(\inst|ccnt\(2) & !\inst|ccnt[1]~244\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(2),
	datad => VCC,
	cin => \inst|ccnt[1]~244\,
	combout => \inst|ccnt[2]~164\,
	cout => \inst|ccnt[2]~245\);

\inst|ccnt[2]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[2]~164\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(2));

\inst|ccnt[4]~163_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[4]~163\ = \inst|ccnt\(4) & (\inst|ccnt[3]~246\ $ GND) # !\inst|ccnt\(4) & !\inst|ccnt[3]~246\ & VCC
-- \inst|ccnt[4]~247\ = CARRY(\inst|ccnt\(4) & !\inst|ccnt[3]~246\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(4),
	datad => VCC,
	cin => \inst|ccnt[3]~246\,
	combout => \inst|ccnt[4]~163\,
	cout => \inst|ccnt[4]~247\);

\inst|ccnt[4]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[4]~163\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(4));

\inst|ccnt[5]~161_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[5]~161\ = \inst|ccnt\(5) & !\inst|ccnt[4]~247\ # !\inst|ccnt\(5) & (\inst|ccnt[4]~247\ # GND)
-- \inst|ccnt[5]~248\ = CARRY(!\inst|ccnt[4]~247\ # !\inst|ccnt\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(5),
	datad => VCC,
	cin => \inst|ccnt[4]~247\,
	combout => \inst|ccnt[5]~161\,
	cout => \inst|ccnt[5]~248\);

\inst|ccnt[6]~160_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[6]~160\ = \inst|ccnt\(6) & (\inst|ccnt[5]~248\ $ GND) # !\inst|ccnt\(6) & !\inst|ccnt[5]~248\ & VCC
-- \inst|ccnt[6]~249\ = CARRY(\inst|ccnt\(6) & !\inst|ccnt[5]~248\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(6),
	datad => VCC,
	cin => \inst|ccnt[5]~248\,
	combout => \inst|ccnt[6]~160\,
	cout => \inst|ccnt[6]~249\);

\inst|ccnt[7]~158_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[7]~158\ = \inst|ccnt\(7) & !\inst|ccnt[6]~249\ # !\inst|ccnt\(7) & (\inst|ccnt[6]~249\ # GND)
-- \inst|ccnt[7]~250\ = CARRY(!\inst|ccnt[6]~249\ # !\inst|ccnt\(7))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(7),
	datad => VCC,
	cin => \inst|ccnt[6]~249\,
	combout => \inst|ccnt[7]~158\,
	cout => \inst|ccnt[7]~250\);

\inst|ccnt[7]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[7]~158\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(7));

\inst|ccnt[9]~154_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[9]~154\ = \inst|ccnt\(9) & !\inst|ccnt[8]~251\ # !\inst|ccnt\(9) & (\inst|ccnt[8]~251\ # GND)
-- \inst|ccnt[9]~252\ = CARRY(!\inst|ccnt[8]~251\ # !\inst|ccnt\(9))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(9),
	datad => VCC,
	cin => \inst|ccnt[8]~251\,
	combout => \inst|ccnt[9]~154\,
	cout => \inst|ccnt[9]~252\);

\inst|ccnt[9]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[9]~154\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(9));

\inst|ccnt[11]~156_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[11]~156\ = \inst|ccnt\(11) & !\inst|ccnt[10]~253\ # !\inst|ccnt\(11) & (\inst|ccnt[10]~253\ # GND)
-- \inst|ccnt[11]~254\ = CARRY(!\inst|ccnt[10]~253\ # !\inst|ccnt\(11))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(11),
	datad => VCC,
	cin => \inst|ccnt[10]~253\,
	combout => \inst|ccnt[11]~156\,
	cout => \inst|ccnt[11]~254\);

\inst|ccnt[11]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[11]~156\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(11));

\inst|ccnt[12]~157_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[12]~157\ = \inst|ccnt\(12) & (\inst|ccnt[11]~254\ $ GND) # !\inst|ccnt\(12) & !\inst|ccnt[11]~254\ & VCC
-- \inst|ccnt[12]~255\ = CARRY(\inst|ccnt\(12) & !\inst|ccnt[11]~254\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(12),
	datad => VCC,
	cin => \inst|ccnt[11]~254\,
	combout => \inst|ccnt[12]~157\,
	cout => \inst|ccnt[12]~255\);

\inst|ccnt[12]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[12]~157\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(12));

\inst|ccnt[13]~152_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[13]~152\ = \inst|ccnt\(13) & !\inst|ccnt[12]~255\ # !\inst|ccnt\(13) & (\inst|ccnt[12]~255\ # GND)
-- \inst|ccnt[13]~256\ = CARRY(!\inst|ccnt[12]~255\ # !\inst|ccnt\(13))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(13),
	datad => VCC,
	cin => \inst|ccnt[12]~255\,
	combout => \inst|ccnt[13]~152\,
	cout => \inst|ccnt[13]~256\);

\inst|ccnt[13]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[13]~152\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(13));

\inst|ccnt[14]~153_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[14]~153\ = \inst|ccnt\(14) & (\inst|ccnt[13]~256\ $ GND) # !\inst|ccnt\(14) & !\inst|ccnt[13]~256\ & VCC
-- \inst|ccnt[14]~257\ = CARRY(\inst|ccnt\(14) & !\inst|ccnt[13]~256\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(14),
	datad => VCC,
	cin => \inst|ccnt[13]~256\,
	combout => \inst|ccnt[14]~153\,
	cout => \inst|ccnt[14]~257\);

\inst|ccnt[14]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[14]~153\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(14));

\inst|ccnt[15]~151_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|ccnt[15]~151\ = \inst|ccnt[14]~257\ $ \inst|ccnt\(15)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst|ccnt\(15),
	cin => \inst|ccnt[14]~257\,
	combout => \inst|ccnt[15]~151\);

\inst|ccnt[15]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[15]~151\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(15));

\inst|LessThan0~311_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~311\ = !\inst|ccnt\(15) & (!\inst|ccnt\(13) # !\inst|ccnt\(14))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst|ccnt\(14),
	datac => \inst|ccnt\(13),
	datad => \inst|ccnt\(15),
	combout => \inst|LessThan0~311\);

\inst|ccnt[6]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[6]~160\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(6));

\inst|ccnt[5]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|ccnt[5]~161\,
	sclr => \inst|ccnt[12]~258\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|ccnt\(5));

\inst|LessThan0~312_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~312\ = !\inst|ccnt\(3) & !\inst|ccnt\(6) & !\inst|ccnt\(4) # !\inst|ccnt\(7)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(3),
	datab => \inst|ccnt\(7),
	datac => \inst|ccnt\(6),
	datad => \inst|ccnt\(4),
	combout => \inst|LessThan0~312\);

\inst|LessThan0~313_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~313\ = \inst|LessThan0~312\ # !\inst|ccnt\(6) & !\inst|ccnt\(5) # !\inst|ccnt\(8)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101010111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|ccnt\(8),
	datab => \inst|ccnt\(6),
	datac => \inst|ccnt\(5),
	datad => \inst|LessThan0~312\,
	combout => \inst|LessThan0~313\);

\inst|LessThan0~315_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|LessThan0~315\ = \inst|LessThan0~311\ # \inst|LessThan0~314\ & !\inst|ccnt\(12) & \inst|LessThan0~313\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst|LessThan0~314\,
	datab => \inst|ccnt\(12),
	datac => \inst|LessThan0~311\,
	datad => \inst|LessThan0~313\,
	combout => \inst|LessThan0~315\);

\inst|clk_1k~88_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|clk_1k~88\ = \inst|clk_1k\ $ !\inst|LessThan0~315\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst|clk_1k\,
	datad => \inst|LessThan0~315\,
	combout => \inst|clk_1k~88\);

\inst|clk_1k~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|clk_1k~88\,
	sclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|clk_1k\);

\inst|out_clk~feeder_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|out_clk~feeder\ = \inst|clk_1k\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datad => \inst|clk_1k\,
	combout => \inst|out_clk~feeder\);

\inst|out_clk~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \Clk50Mhz~clkctrl\,
	datain => \inst|out_clk~feeder\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst|out_clk\);

\inst|out_clk~clkctrl_I\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \inst|out_clk~clkctrl_I_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst|out_clk~clkctrl\);

\inst1|wait_cnt[0]~341_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[0]~341\ = \inst1|wait_cnt\(0) $ VCC
-- \inst1|wait_cnt[0]~664\ = CARRY(\inst1|wait_cnt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|wait_cnt\(0),
	datad => VCC,
	combout => \inst1|wait_cnt[0]~341\,
	cout => \inst1|wait_cnt[0]~664\);

\inst1|state.reset1~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector40~117\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.reset1\);

\inst1|Selector40~117_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector40~117\ = \inst1|state.reset1\ # !\inst1|Selector28~131\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.reset1\,
	datad => \inst1|Selector28~131\,
	combout => \inst1|Selector40~117\);

\inst1|Selector43~115_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector43~115\ = \inst1|state.disp_clear\ # \inst1|next_command.disp_clear_wait\ & (!\inst1|state.chk_cnt~56\ # !\inst1|Selector40~117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|next_command.disp_clear_wait\,
	datab => \inst1|Selector40~117\,
	datac => \inst1|state.disp_clear\,
	datad => \inst1|state.chk_cnt~56\,
	combout => \inst1|Selector43~115\);

\inst1|Selector43~116_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector43~116\ = \inst1|Selector43~115\ # !\inst1|LessThan1~88\ & \inst1|state.reset2\ & \inst1|next_command.disp_clear_wait\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|LessThan1~88\,
	datab => \inst1|state.reset2\,
	datac => \inst1|next_command.disp_clear_wait\,
	datad => \inst1|Selector43~115\,
	combout => \inst1|Selector43~116\);

\inst1|next_command.disp_clear_wait~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector43~116\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.disp_clear_wait\);

\inst1|wait_cnt[2]~340_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[2]~340\ = \inst1|wait_cnt\(2) & (\inst1|wait_cnt[1]~665\ $ GND) # !\inst1|wait_cnt\(2) & !\inst1|wait_cnt[1]~665\ & VCC
-- \inst1|wait_cnt[2]~666\ = CARRY(\inst1|wait_cnt\(2) & !\inst1|wait_cnt[1]~665\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|wait_cnt\(2),
	datad => VCC,
	cin => \inst1|wait_cnt[1]~665\,
	combout => \inst1|wait_cnt[2]~340\,
	cout => \inst1|wait_cnt[2]~666\);

\inst1|WideOr11~13_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|WideOr11~13\ = \inst1|state.disp_clear\ # \inst1|state.reset2\ # \inst1|state.disp_clear_wait\ # !\inst1|state.reset1\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.disp_clear\,
	datab => \inst1|state.reset2\,
	datac => \inst1|state.disp_clear_wait\,
	datad => \inst1|state.reset1\,
	combout => \inst1|WideOr11~13\);

\inst1|wait_cnt[2]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[2]~340\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(2));

\inst1|LessThan2~107_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|LessThan2~107\ = !\inst1|wait_cnt\(2) & (!\inst1|wait_cnt\(0) # !\inst1|wait_cnt\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|wait_cnt\(1),
	datac => \inst1|wait_cnt\(2),
	datad => \inst1|wait_cnt\(0),
	combout => \inst1|LessThan2~107\);

\inst1|Selector28~132_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector28~132\ = \inst1|state.disp_clear_wait\ & !\inst1|wait_cnt\(3) & \inst1|LessThan2~107\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.disp_clear_wait\,
	datac => \inst1|wait_cnt\(3),
	datad => \inst1|LessThan2~107\,
	combout => \inst1|Selector28~132\);

\inst1|Selector28~133_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector28~133\ = \inst1|state.hold\ & (\inst1|next_command.disp_clear_wait\) # !\inst1|state.hold\ & \inst1|Selector28~131\ & (\inst1|Selector28~132\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100101011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|Selector28~131\,
	datab => \inst1|next_command.disp_clear_wait\,
	datac => \inst1|state.hold\,
	datad => \inst1|Selector28~132\,
	combout => \inst1|Selector28~133\);

\inst1|state.disp_clear_wait~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector28~133\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.disp_clear_wait\);

\inst1|state.chk_cnt~55_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|state.chk_cnt~55\ = !\inst1|state.wait_trigger_reset\ & !\inst1|state.disp_clear_wait\ & !\inst1|state.hold\ & !\inst1|state.chk_cnt\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.wait_trigger_reset\,
	datab => \inst1|state.disp_clear_wait\,
	datac => \inst1|state.hold\,
	datad => \inst1|state.chk_cnt\,
	combout => \inst1|state.chk_cnt~55\);

\inst1|state.chk_cnt~56_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|state.chk_cnt~56\ = \inst1|state.chk_cnt~55\ & !\inst1|state.drop_e\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.chk_cnt~55\,
	datad => \inst1|state.drop_e\,
	combout => \inst1|state.chk_cnt~56\);

\inst1|Selector38~115_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector38~115\ = \inst1|state.reset3\ # \inst1|next_command.func_set\ & (!\inst1|Selector40~117\ # !\inst1|state.chk_cnt~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.reset3\,
	datab => \inst1|next_command.func_set\,
	datac => \inst1|state.chk_cnt~56\,
	datad => \inst1|Selector40~117\,
	combout => \inst1|Selector38~115\);

\inst1|Selector38~116_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector38~116\ = \inst1|Selector38~115\ # !\inst1|LessThan1~88\ & \inst1|state.reset2\ & \inst1|next_command.func_set\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|LessThan1~88\,
	datab => \inst1|state.reset2\,
	datac => \inst1|next_command.func_set\,
	datad => \inst1|Selector38~115\,
	combout => \inst1|Selector38~116\);

\inst1|next_command.func_set~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector38~116\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.func_set\);

\inst1|Selector23~15_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector23~15\ = \inst1|state.hold\ & \inst1|next_command.func_set\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.hold\,
	datad => \inst1|next_command.func_set\,
	combout => \inst1|Selector23~15\);

\inst1|state.func_set~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector23~15\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.func_set\);

\inst1|Selector39~115_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector39~115\ = \inst1|state.func_set\ # \inst1|next_command.disp_on\ & (!\inst1|Selector40~117\ # !\inst1|state.chk_cnt~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100111011101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|next_command.disp_on\,
	datab => \inst1|state.func_set\,
	datac => \inst1|state.chk_cnt~56\,
	datad => \inst1|Selector40~117\,
	combout => \inst1|Selector39~115\);

\inst1|Selector39~116_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector39~116\ = \inst1|Selector39~115\ # !\inst1|LessThan1~88\ & \inst1|state.reset2\ & \inst1|next_command.disp_on\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|LessThan1~88\,
	datab => \inst1|state.reset2\,
	datac => \inst1|next_command.disp_on\,
	datad => \inst1|Selector39~115\,
	combout => \inst1|Selector39~116\);

\inst1|next_command.disp_on~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector39~116\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.disp_on\);

\inst1|Selector24~15_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector24~15\ = \inst1|state.hold\ & \inst1|next_command.disp_on\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.hold\,
	datad => \inst1|next_command.disp_on\,
	combout => \inst1|Selector24~15\);

\inst1|state.disp_on~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector24~15\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.disp_on\);

\inst1|Selector40~118_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector40~118\ = \inst1|state.disp_on\ # \inst1|next_command.disp_clear\ & (!\inst1|Selector40~117\ # !\inst1|state.chk_cnt~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1101111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.chk_cnt~56\,
	datab => \inst1|state.disp_on\,
	datac => \inst1|Selector40~117\,
	datad => \inst1|next_command.disp_clear\,
	combout => \inst1|Selector40~118\);

\inst1|Selector40~119_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector40~119\ = \inst1|Selector40~118\ # !\inst1|LessThan1~88\ & \inst1|state.reset2\ & \inst1|next_command.disp_clear\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|LessThan1~88\,
	datab => \inst1|state.reset2\,
	datac => \inst1|next_command.disp_clear\,
	datad => \inst1|Selector40~118\,
	combout => \inst1|Selector40~119\);

\inst1|next_command.disp_clear~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector40~119\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.disp_clear\);

\inst1|Selector25~15_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector25~15\ = \inst1|state.hold\ & \inst1|next_command.disp_clear\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.hold\,
	datad => \inst1|next_command.disp_clear\,
	combout => \inst1|Selector25~15\);

\inst1|state.disp_clear~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector25~15\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.disp_clear\);

\inst1|LessThan1~87_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|LessThan1~87\ = \inst1|wait_cnt\(2) & (\inst1|wait_cnt\(1) # \inst1|wait_cnt\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|wait_cnt\(1),
	datac => \inst1|wait_cnt\(2),
	datad => \inst1|wait_cnt\(0),
	combout => \inst1|LessThan1~87\);

\inst1|wait_cnt[1]~669_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[1]~669\ = !\inst1|wait_cnt\(3) & (\inst1|state.disp_clear_wait\ & \inst1|LessThan2~107\ # !\inst1|state.disp_clear_wait\ & (!\inst1|LessThan1~87\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|LessThan2~107\,
	datab => \inst1|state.disp_clear_wait\,
	datac => \inst1|wait_cnt\(3),
	datad => \inst1|LessThan1~87\,
	combout => \inst1|wait_cnt[1]~669\);

\inst1|wait_cnt[1]~670_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[1]~670\ = \inst1|state.disp_clear\ # \inst1|state.reset1\ & !\inst1|wait_cnt[1]~669\ # !\inst1|Selector28~131\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001111111011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.reset1\,
	datab => \inst1|Selector28~131\,
	datac => \inst1|state.disp_clear\,
	datad => \inst1|wait_cnt[1]~669\,
	combout => \inst1|wait_cnt[1]~670\);

\inst1|wait_cnt[0]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[0]~341\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(0));

\inst1|wait_cnt[1]~342_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[1]~342\ = \inst1|wait_cnt\(1) & !\inst1|wait_cnt[0]~664\ # !\inst1|wait_cnt\(1) & (\inst1|wait_cnt[0]~664\ # GND)
-- \inst1|wait_cnt[1]~665\ = CARRY(!\inst1|wait_cnt[0]~664\ # !\inst1|wait_cnt\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst1|wait_cnt\(1),
	datad => VCC,
	cin => \inst1|wait_cnt[0]~664\,
	combout => \inst1|wait_cnt[1]~342\,
	cout => \inst1|wait_cnt[1]~665\);

\inst1|wait_cnt[1]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[1]~342\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(1));

\inst1|wait_cnt[3]~335_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[3]~335\ = \inst1|wait_cnt\(3) & !\inst1|wait_cnt[2]~666\ # !\inst1|wait_cnt\(3) & (\inst1|wait_cnt[2]~666\ # GND)
-- \inst1|wait_cnt[3]~667\ = CARRY(!\inst1|wait_cnt[2]~666\ # !\inst1|wait_cnt\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst1|wait_cnt\(3),
	datad => VCC,
	cin => \inst1|wait_cnt[2]~666\,
	combout => \inst1|wait_cnt[3]~335\,
	cout => \inst1|wait_cnt[3]~667\);

\inst1|wait_cnt[3]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[3]~335\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(3));

\inst1|wait_cnt[4]~336_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[4]~336\ = \inst1|wait_cnt\(4) & (\inst1|wait_cnt[3]~667\ $ GND) # !\inst1|wait_cnt\(4) & !\inst1|wait_cnt[3]~667\ & VCC
-- \inst1|wait_cnt[4]~668\ = CARRY(\inst1|wait_cnt\(4) & !\inst1|wait_cnt[3]~667\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|wait_cnt\(4),
	datad => VCC,
	cin => \inst1|wait_cnt[3]~667\,
	combout => \inst1|wait_cnt[4]~336\,
	cout => \inst1|wait_cnt[4]~668\);

\inst1|wait_cnt[5]~337_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[5]~337\ = \inst1|wait_cnt\(5) & !\inst1|wait_cnt[4]~668\ # !\inst1|wait_cnt\(5) & (\inst1|wait_cnt[4]~668\ # GND)
-- \inst1|wait_cnt[5]~671\ = CARRY(!\inst1|wait_cnt[4]~668\ # !\inst1|wait_cnt\(5))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|wait_cnt\(5),
	datad => VCC,
	cin => \inst1|wait_cnt[4]~668\,
	combout => \inst1|wait_cnt[5]~337\,
	cout => \inst1|wait_cnt[5]~671\);

\inst1|wait_cnt[6]~338_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[6]~338\ = \inst1|wait_cnt\(6) & (\inst1|wait_cnt[5]~671\ $ GND) # !\inst1|wait_cnt\(6) & !\inst1|wait_cnt[5]~671\ & VCC
-- \inst1|wait_cnt[6]~672\ = CARRY(\inst1|wait_cnt\(6) & !\inst1|wait_cnt[5]~671\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst1|wait_cnt\(6),
	datad => VCC,
	cin => \inst1|wait_cnt[5]~671\,
	combout => \inst1|wait_cnt[6]~338\,
	cout => \inst1|wait_cnt[6]~672\);

\inst1|wait_cnt[6]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[6]~338\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(6));

\inst1|wait_cnt[7]~339_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|wait_cnt[7]~339\ = \inst1|wait_cnt\(7) $ \inst1|wait_cnt[6]~672\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|wait_cnt\(7),
	cin => \inst1|wait_cnt[6]~672\,
	combout => \inst1|wait_cnt[7]~339\);

\inst1|wait_cnt[7]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[7]~339\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(7));

\inst1|wait_cnt[5]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[5]~337\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(5));

\inst1|wait_cnt[4]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|wait_cnt[4]~336\,
	aclr => \ALT_INV_Reset~combout\,
	sclr => \inst1|wait_cnt[1]~670\,
	ena => \inst1|WideOr11~13\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|wait_cnt\(4));

\inst1|Selector28~131_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector28~131\ = !\inst1|wait_cnt\(6) & !\inst1|wait_cnt\(7) & !\inst1|wait_cnt\(5) & !\inst1|wait_cnt\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|wait_cnt\(6),
	datab => \inst1|wait_cnt\(7),
	datac => \inst1|wait_cnt\(5),
	datad => \inst1|wait_cnt\(4),
	combout => \inst1|Selector28~131\);

\inst1|next_command.reset2~417_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|next_command.reset2~417\ = \inst1|state.reset2\ & (\inst1|wait_cnt\(3) # \inst1|LessThan1~87\ # !\inst1|Selector28~131\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101010001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.reset2\,
	datab => \inst1|wait_cnt\(3),
	datac => \inst1|Selector28~131\,
	datad => \inst1|LessThan1~87\,
	combout => \inst1|next_command.reset2~417\);

\inst1|LessThan1~88_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|LessThan1~88\ = \inst1|wait_cnt\(3) # \inst1|LessThan1~87\ # !\inst1|Selector28~131\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110101111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|wait_cnt\(3),
	datac => \inst1|Selector28~131\,
	datad => \inst1|LessThan1~87\,
	combout => \inst1|LessThan1~88\);

\inst1|next_command.reset2~418_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|next_command.reset2~418\ = \inst1|state.reset2\ & (\inst1|LessThan1~88\) # !\inst1|state.reset2\ & \inst1|state.reset1\ & \inst1|state.chk_cnt~56\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110110000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.reset1\,
	datab => \inst1|state.reset2\,
	datac => \inst1|state.chk_cnt~56\,
	datad => \inst1|LessThan1~88\,
	combout => \inst1|next_command.reset2~418\);

\inst1|next_command.reset2~419_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|next_command.reset2~419\ = \inst1|next_command.reset2~418\ # !\inst1|state.reset1\ & !\inst1|Selector28~131\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.reset1\,
	datac => \inst1|Selector28~131\,
	datad => \inst1|next_command.reset2~418\,
	combout => \inst1|next_command.reset2~419\);

\inst1|next_command.reset3~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|next_command.reset2~417\,
	aclr => \ALT_INV_Reset~combout\,
	ena => \inst1|next_command.reset2~419\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.reset3\);

\inst1|Selector20~15_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector20~15\ = \inst1|state.hold\ & \inst1|next_command.reset3\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.hold\,
	datad => \inst1|next_command.reset3\,
	combout => \inst1|Selector20~15\);

\inst1|state.reset3~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector20~15\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.reset3\);

\inst1|Selector21~290_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector21~290\ = \inst1|state.wait_char\ & !\Trigger~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110000001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.wait_char\,
	datac => \Trigger~combout\,
	combout => \inst1|Selector21~290\);

\inst1|char_cnt[0]~30_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|char_cnt[0]~30\ = \inst1|char_cnt\(0) & (\Trigger~combout\ $ GND) # !\inst1|char_cnt\(0) & !\Trigger~combout\ & VCC
-- \inst1|char_cnt[0]~36\ = CARRY(\inst1|char_cnt\(0) & !\Trigger~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100100100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|char_cnt\(0),
	datab => \Trigger~combout\,
	datad => VCC,
	combout => \inst1|char_cnt[0]~30\,
	cout => \inst1|char_cnt[0]~36\);

\inst1|char_cnt[1]~31_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|char_cnt[1]~31\ = \inst1|char_cnt\(1) & !\inst1|char_cnt[0]~36\ # !\inst1|char_cnt\(1) & (\inst1|char_cnt[0]~36\ # GND)
-- \inst1|char_cnt[1]~37\ = CARRY(!\inst1|char_cnt[0]~36\ # !\inst1|char_cnt\(1))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst1|char_cnt\(1),
	datad => VCC,
	cin => \inst1|char_cnt[0]~36\,
	combout => \inst1|char_cnt[1]~31\,
	cout => \inst1|char_cnt[1]~37\);

\inst1|Selector52~17_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector52~17\ = !\inst1|state.home\ & \inst1|char_cnt\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.home\,
	datad => \inst1|char_cnt\(1),
	combout => \inst1|Selector52~17\);

\inst1|char_cnt[1]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|char_cnt[1]~31\,
	sdata => \inst1|Selector52~17\,
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|ALT_INV_state.wait_char\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|char_cnt\(1));

\inst1|char_cnt[3]~33_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|char_cnt[3]~33\ = \inst1|char_cnt\(3) & !\inst1|char_cnt[2]~38\ # !\inst1|char_cnt\(3) & (\inst1|char_cnt[2]~38\ # GND)
-- \inst1|char_cnt[3]~39\ = CARRY(!\inst1|char_cnt[2]~38\ # !\inst1|char_cnt\(3))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst1|char_cnt\(3),
	datad => VCC,
	cin => \inst1|char_cnt[2]~38\,
	combout => \inst1|char_cnt[3]~33\,
	cout => \inst1|char_cnt[3]~39\);

\inst1|Selector50~17_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector50~17\ = !\inst1|state.home\ & \inst1|char_cnt\(3)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.home\,
	datad => \inst1|char_cnt\(3),
	combout => \inst1|Selector50~17\);

\inst1|char_cnt[3]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|char_cnt[3]~33\,
	sdata => \inst1|Selector50~17\,
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|ALT_INV_state.wait_char\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|char_cnt\(3));

\inst1|Selector53~17_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector53~17\ = !\inst1|state.home\ & \inst1|char_cnt\(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.home\,
	datac => \inst1|char_cnt\(0),
	combout => \inst1|Selector53~17\);

\inst1|char_cnt[0]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|char_cnt[0]~30\,
	sdata => \inst1|Selector53~17\,
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|ALT_INV_state.wait_char\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|char_cnt\(0));

\inst1|Equal0~56_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Equal0~56\ = !\inst1|char_cnt\(2) & !\inst1|char_cnt\(3) & !\inst1|char_cnt\(0) & !\inst1|char_cnt\(1)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|char_cnt\(2),
	datab => \inst1|char_cnt\(3),
	datac => \inst1|char_cnt\(0),
	datad => \inst1|char_cnt\(1),
	combout => \inst1|Equal0~56\);

\inst1|Selector32~79_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector32~79\ = !\inst1|state.hold\ & \inst1|state.chk_cnt\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.hold\,
	datad => \inst1|state.chk_cnt\,
	combout => \inst1|Selector32~79\);

\inst1|Selector49~17_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector49~17\ = !\inst1|state.home\ & \inst1|char_cnt\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.home\,
	datad => \inst1|char_cnt\(4),
	combout => \inst1|Selector49~17\);

\inst1|char_cnt[4]~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|char_cnt[4]~34\,
	sdata => \inst1|Selector49~17\,
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|ALT_INV_state.wait_char\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|char_cnt\(4));

\inst1|Selector32~80_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector32~80\ = \inst1|char_cnt\(5) & \inst1|Equal0~56\ & \inst1|Selector32~79\ & !\inst1|char_cnt\(4)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|char_cnt\(5),
	datab => \inst1|Equal0~56\,
	datac => \inst1|Selector32~79\,
	datad => \inst1|char_cnt\(4),
	combout => \inst1|Selector32~80\);

\inst1|state.home~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector32~80\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.home\);

\inst1|Selector31~20_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector31~20\ = !\inst1|char_cnt\(5) & \inst1|Equal0~56\ & \inst1|char_cnt\(4) & \inst1|state.chk_cnt\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|char_cnt\(5),
	datab => \inst1|Equal0~56\,
	datac => \inst1|char_cnt\(4),
	datad => \inst1|state.chk_cnt\,
	combout => \inst1|Selector31~20\);

\inst1|state.line2~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector31~20\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.line2\);

\inst1|Selector2~162_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector2~162\ = !\inst1|state.home\ & !\inst1|state.line2\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.home\,
	datad => \inst1|state.line2\,
	combout => \inst1|Selector2~162\);

\inst1|Selector26~79_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector26~79\ = \inst1|state.hold\ # !\inst1|state.disp_clear_wait\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.disp_clear_wait\,
	datad => \inst1|state.hold\,
	combout => \inst1|Selector26~79\);

\inst1|Selector26~80_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector26~80\ = !\inst1|Selector26~79\ & (\inst1|wait_cnt\(3) # !\inst1|Selector28~131\ # !\inst1|LessThan2~107\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|LessThan2~107\,
	datab => \inst1|Selector28~131\,
	datac => \inst1|wait_cnt\(3),
	datad => \inst1|Selector26~79\,
	combout => \inst1|Selector26~80\);

\inst1|state.mode_set~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector26~80\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.mode_set\);

\inst1|lcd_data[5]~150_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|lcd_data[5]~150\ = !\inst1|state.disp_clear\ & \inst1|Selector2~162\ & !\inst1|state.disp_on\ & !\inst1|state.mode_set\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.disp_clear\,
	datab => \inst1|Selector2~162\,
	datac => \inst1|state.disp_on\,
	datad => \inst1|state.mode_set\,
	combout => \inst1|lcd_data[5]~150\);

\inst1|Selector21~291_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector21~291\ = \inst1|state.func_set\ # \inst1|state.reset3\ # \inst1|Selector21~290\ # !\inst1|lcd_data[5]~150\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.func_set\,
	datab => \inst1|state.reset3\,
	datac => \inst1|Selector21~290\,
	datad => \inst1|lcd_data[5]~150\,
	combout => \inst1|Selector21~291\);

\inst1|Selector21~292_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector21~292\ = \inst1|next_command.reset2~417\ # \inst1|Selector21~291\ # !\inst1|state.reset1\ & !\inst1|Selector28~131\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.reset1\,
	datab => \inst1|Selector28~131\,
	datac => \inst1|next_command.reset2~417\,
	datad => \inst1|Selector21~291\,
	combout => \inst1|Selector21~292\);

\inst1|state.drop_e~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector21~292\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.drop_e\);

\inst1|state.hold~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	sdata => \inst1|state.drop_e\,
	aclr => \ALT_INV_Reset~combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.hold\);

\inst1|Selector19~47_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector19~47\ = \inst1|next_command.reset2\ & (\inst1|state.reset2\ & !\inst1|LessThan1~88\) # !\inst1|next_command.reset2\ & (\inst1|state.hold\ # \inst1|state.reset2\ & !\inst1|LessThan1~88\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|next_command.reset2\,
	datab => \inst1|state.hold\,
	datac => \inst1|state.reset2\,
	datad => \inst1|LessThan1~88\,
	combout => \inst1|Selector19~47\);

\inst1|state.reset2~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector19~47\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.reset2\);

\inst1|Selector44~113_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector44~113\ = \inst1|Selector21~290\ # \inst1|next_command.wait_trigger_reset\ & (!\inst1|state.chk_cnt~56\ # !\inst1|Selector40~117\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|next_command.wait_trigger_reset\,
	datab => \inst1|Selector40~117\,
	datac => \inst1|state.chk_cnt~56\,
	datad => \inst1|Selector21~290\,
	combout => \inst1|Selector44~113\);

\inst1|Selector44~114_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector44~114\ = \inst1|Selector44~113\ # !\inst1|LessThan1~88\ & \inst1|state.reset2\ & \inst1|next_command.wait_trigger_reset\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|LessThan1~88\,
	datab => \inst1|state.reset2\,
	datac => \inst1|next_command.wait_trigger_reset\,
	datad => \inst1|Selector44~113\,
	combout => \inst1|Selector44~114\);

\inst1|next_command.wait_trigger_reset~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector44~114\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.wait_trigger_reset\);

\inst1|Selector29~67_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector29~67\ = \inst1|state.hold\ & \inst1|next_command.wait_trigger_reset\ # !\inst1|state.hold\ & (\inst1|state.wait_trigger_reset\ & !\Trigger~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100011011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.hold\,
	datab => \inst1|next_command.wait_trigger_reset\,
	datac => \inst1|state.wait_trigger_reset\,
	datad => \Trigger~combout\,
	combout => \inst1|Selector29~67\);

\inst1|state.wait_trigger_reset~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector29~67\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.wait_trigger_reset\);

\inst1|Selector30~63_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector30~63\ = \Trigger~combout\ & \inst1|state.wait_trigger_reset\ & !\inst1|state.hold\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Trigger~combout\,
	datab => \inst1|state.wait_trigger_reset\,
	datac => \inst1|state.hold\,
	combout => \inst1|Selector30~63\);

\inst1|state.chk_cnt~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector30~63\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.chk_cnt\);

\inst1|Selector27~151_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector27~151\ = \Trigger~combout\ & !\inst1|state.chk_cnt\ & \inst1|state.wait_char\ & !\inst1|state.hold\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Trigger~combout\,
	datab => \inst1|state.chk_cnt\,
	datac => \inst1|state.wait_char\,
	datad => \inst1|state.hold\,
	combout => \inst1|Selector27~151\);

\inst1|Selector42~147_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector42~147\ = \inst1|state.chk_cnt~55\ & !\inst1|state.drop_e\ & (\inst1|LessThan1~88\ # !\inst1|state.reset2\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010001000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.chk_cnt~55\,
	datab => \inst1|state.drop_e\,
	datac => \inst1|state.reset2\,
	datad => \inst1|LessThan1~88\,
	combout => \inst1|Selector42~147\);

\inst1|Selector32~78_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector32~78\ = \inst1|state.wait_char\ & \Trigger~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|state.wait_char\,
	datac => \Trigger~combout\,
	combout => \inst1|Selector32~78\);

\inst1|Selector42~149_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector42~149\ = !\inst1|state.line2\ & !\inst1|state.mode_set\ & !\inst1|state.home\ & !\inst1|Selector32~78\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000001",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.line2\,
	datab => \inst1|state.mode_set\,
	datac => \inst1|state.home\,
	datad => \inst1|Selector32~78\,
	combout => \inst1|Selector42~149\);

\inst1|Selector42~148_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector42~148\ = \inst1|next_command.wait_char\ & (!\inst1|Selector42~147\ # !\inst1|Selector40~117\) # !\inst1|Selector42~149\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111000011111111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|Selector40~117\,
	datab => \inst1|Selector42~147\,
	datac => \inst1|next_command.wait_char\,
	datad => \inst1|Selector42~149\,
	combout => \inst1|Selector42~148\);

\inst1|next_command.wait_char~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector42~148\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|next_command.wait_char\);

\inst1|Selector27~150_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector27~150\ = \inst1|Selector32~79\ & (\inst1|char_cnt\(5) $ !\inst1|char_cnt\(4) # !\inst1|Equal0~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000001110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|char_cnt\(5),
	datab => \inst1|Equal0~56\,
	datac => \inst1|Selector32~79\,
	datad => \inst1|char_cnt\(4),
	combout => \inst1|Selector27~150\);

\inst1|Selector27~152_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector27~152\ = \inst1|Selector27~151\ # \inst1|Selector27~150\ # \inst1|state.hold\ & \inst1|next_command.wait_char\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111101100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.hold\,
	datab => \inst1|Selector27~151\,
	datac => \inst1|next_command.wait_char\,
	datad => \inst1|Selector27~150\,
	combout => \inst1|Selector27~152\);

\inst1|state.wait_char~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector27~152\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|state.wait_char\);

\inst1|Selector1~95_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector1~95\ = \inst1|state.wait_char\ & (\inst1|lcd_rs\ # !\Trigger~combout\) # !\inst1|state.wait_char\ & (\inst1|lcd_rs\ & !\inst1|state.chk_cnt~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Trigger~combout\,
	datab => \inst1|state.wait_char\,
	datac => \inst1|lcd_rs\,
	datad => \inst1|state.chk_cnt~56\,
	combout => \inst1|Selector1~95\);

\inst1|lcd_rs~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector1~95\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_rs\);

\inst1|Selector0~102_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector0~102\ = !\inst1|Selector0~101\ & (\Trigger~combout\ # !\inst1|state.wait_char\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010101000101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|Selector0~101\,
	datab => \Trigger~combout\,
	datac => \inst1|state.wait_char\,
	combout => \inst1|Selector0~102\);

\inst1|lcd_e~I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector0~102\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_e\);

\Switch[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(7),
	combout => \Switch~combout\(7));

\inst1|Selector2~164_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector2~164\ = !\Trigger~combout\ & \inst1|state.wait_char\ & \Switch~combout\(7) # !\inst1|Selector2~162\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Trigger~combout\,
	datab => \inst1|state.wait_char\,
	datac => \inst1|Selector2~162\,
	datad => \Switch~combout\(7),
	combout => \inst1|Selector2~164\);

\inst1|Selector2~163_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector2~163\ = \inst1|Selector2~164\ # \inst1|lcd_data[7]~reg0\ & (\inst1|Selector32~78\ # !\inst1|state.chk_cnt~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.chk_cnt~56\,
	datab => \inst1|Selector32~78\,
	datac => \inst1|lcd_data[7]~reg0\,
	datad => \inst1|Selector2~164\,
	combout => \inst1|Selector2~163\);

\inst1|lcd_data[7]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector2~163\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[7]~reg0\);

\inst1|Selector3~144_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector3~144\ = \inst1|state.line2\ # \Switch~combout\(6) & \inst1|state.wait_char\ & !\Trigger~combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111100001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Switch~combout\(6),
	datab => \inst1|state.wait_char\,
	datac => \Trigger~combout\,
	datad => \inst1|state.line2\,
	combout => \inst1|Selector3~144\);

\inst1|Selector3~145_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector3~145\ = \inst1|Selector3~144\ # \inst1|lcd_data[6]~reg0\ & (\inst1|Selector32~78\ # !\inst1|state.chk_cnt~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.chk_cnt~56\,
	datab => \inst1|Selector32~78\,
	datac => \inst1|lcd_data[6]~reg0\,
	datad => \inst1|Selector3~144\,
	combout => \inst1|Selector3~145\);

\inst1|lcd_data[6]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector3~145\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[6]~reg0\);

\inst1|lcd_data[5]~151_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|lcd_data[5]~151\ = \inst1|state.reset1\ & !\inst1|state.reset2\ & !\inst1|state.reset3\ & !\inst1|state.func_set\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.reset1\,
	datab => \inst1|state.reset2\,
	datac => \inst1|state.reset3\,
	datad => \inst1|state.func_set\,
	combout => \inst1|lcd_data[5]~151\);

\inst1|Selector4~168_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector4~168\ = \inst1|Selector21~290\ & \Switch~combout\(5) # !\inst1|Selector21~290\ & (!\inst1|lcd_data[5]~151\ & \inst1|lcd_data[5]~150\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Switch~combout\(5),
	datab => \inst1|lcd_data[5]~151\,
	datac => \inst1|Selector21~290\,
	datad => \inst1|lcd_data[5]~150\,
	combout => \inst1|Selector4~168\);

\inst1|Selector4~169_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector4~169\ = !\inst1|Selector4~168\ & (\inst1|Selector21~290\ # \inst1|lcd_data[5]~reg0\ # !\inst1|lcd_data[5]~152\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011111101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|lcd_data[5]~152\,
	datab => \inst1|Selector21~290\,
	datac => \inst1|lcd_data[5]~reg0\,
	datad => \inst1|Selector4~168\,
	combout => \inst1|Selector4~169\);

\inst1|lcd_data[5]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector4~169\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[5]~reg0\);

\inst1|lcd_data[5]~152_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|lcd_data[5]~152\ = \inst1|lcd_data[5]~151\ & \inst1|lcd_data[5]~150\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|lcd_data[5]~151\,
	datad => \inst1|lcd_data[5]~150\,
	combout => \inst1|lcd_data[5]~152\);

\inst1|Selector5~153_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector5~153\ = !\inst1|Selector5~152\ & (\inst1|Selector21~290\ # \inst1|lcd_data[4]~reg0\ # !\inst1|lcd_data[5]~152\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|Selector5~152\,
	datab => \inst1|Selector21~290\,
	datac => \inst1|lcd_data[4]~reg0\,
	datad => \inst1|lcd_data[5]~152\,
	combout => \inst1|Selector5~153\);

\inst1|lcd_data[4]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector5~153\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[4]~reg0\);

\inst1|Selector6~179_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector6~179\ = \inst1|state.disp_on\ # \Switch~combout\(3) & \inst1|Selector21~290\ # !\inst1|lcd_data[5]~151\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110111111001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Switch~combout\(3),
	datab => \inst1|state.disp_on\,
	datac => \inst1|lcd_data[5]~151\,
	datad => \inst1|Selector21~290\,
	combout => \inst1|Selector6~179\);

\inst1|Selector6~180_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector6~180\ = !\inst1|Selector6~179\ & (\inst1|lcd_data[3]~reg0\ # \inst1|state.chk_cnt~56\ & !\inst1|Selector32~78\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|state.chk_cnt~56\,
	datab => \inst1|Selector6~179\,
	datac => \inst1|lcd_data[3]~reg0\,
	datad => \inst1|Selector32~78\,
	combout => \inst1|Selector6~180\);

\inst1|lcd_data[3]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector6~180\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[3]~reg0\);

\inst1|lcd_data~17_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|lcd_data~17\ = \inst1|state.disp_on\ # \inst1|state.mode_set\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \inst1|state.disp_on\,
	datad => \inst1|state.mode_set\,
	combout => \inst1|lcd_data~17\);

\inst1|lcd_data[1]~153_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|lcd_data[1]~153\ = \inst1|Selector2~162\ & !\inst1|state.disp_clear\ & !\inst1|lcd_data~17\ & \inst1|lcd_data[5]~151\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|Selector2~162\,
	datab => \inst1|state.disp_clear\,
	datac => \inst1|lcd_data~17\,
	datad => \inst1|lcd_data[5]~151\,
	combout => \inst1|lcd_data[1]~153\);

\inst1|lcd_data[2]~84_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|lcd_data[2]~84\ = \inst1|lcd_data[1]~153\ & (\inst1|lcd_data[2]~reg0\) # !\inst1|lcd_data[1]~153\ & \inst1|lcd_data~17\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|lcd_data~17\,
	datac => \inst1|lcd_data[2]~reg0\,
	datad => \inst1|lcd_data[1]~153\,
	combout => \inst1|lcd_data[2]~84\);

\Switch[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(2),
	combout => \Switch~combout\(2));

\inst1|lcd_data[2]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|lcd_data[2]~84\,
	sdata => \Switch~combout\(2),
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|Selector21~290\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[2]~reg0\);

\inst1|lcd_data[1]~85_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|lcd_data[1]~85\ = \inst1|lcd_data[1]~153\ & (\inst1|lcd_data[1]~reg0\) # !\inst1|lcd_data[1]~153\ & \inst1|lcd_data~17\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst1|lcd_data~17\,
	datac => \inst1|lcd_data[1]~reg0\,
	datad => \inst1|lcd_data[1]~153\,
	combout => \inst1|lcd_data[1]~85\);

\Switch[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(1),
	combout => \Switch~combout\(1));

\inst1|lcd_data[1]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|lcd_data[1]~85\,
	sdata => \Switch~combout\(1),
	aclr => \ALT_INV_Reset~combout\,
	sload => \inst1|Selector21~290\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[1]~reg0\);

\inst1|Selector9~158_I\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst1|Selector9~158\ = \inst1|Selector9~157\ # \inst1|lcd_data[0]~reg0\ & (\inst1|Selector32~78\ # !\inst1|state.chk_cnt~56\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101010111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst1|Selector9~157\,
	datab => \inst1|state.chk_cnt~56\,
	datac => \inst1|lcd_data[0]~reg0\,
	datad => \inst1|Selector32~78\,
	combout => \inst1|Selector9~158\);

\inst1|lcd_data[0]~reg0_I\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst|out_clk~clkctrl\,
	datain => \inst1|Selector9~158\,
	aclr => \ALT_INV_Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst1|lcd_data[0]~reg0\);

\Switch[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(6),
	combout => \Switch~combout\(6));

\Switch[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(5),
	combout => \Switch~combout\(5));

\Switch[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(4),
	combout => \Switch~combout\(4));

\Switch[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(3),
	combout => \Switch~combout\(3));

\Switch[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_Switch(0),
	combout => \Switch~combout\(0));

\GLED1~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Trigger~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_GLED1);

\LCDON~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Sw17~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LCDON);

\BLON~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Sw16~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_BLON);

\LCDRS~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|lcd_rs\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LCDRS);

\LCDRW~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => GND,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LCDRW);

\LCDE~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|ALT_INV_lcd_e\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LCDE);

\GLED0~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Reset~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_GLED0);

\LDATA[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|lcd_data[7]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(7));

\LDATA[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|lcd_data[6]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(6));

\LDATA[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|ALT_INV_lcd_data[5]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(5));

\LDATA[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|ALT_INV_lcd_data[4]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(4));

\LDATA[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|ALT_INV_lcd_data[3]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(3));

\LDATA[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|lcd_data[2]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(2));

\LDATA[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|lcd_data[1]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(1));

\LDATA[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst1|lcd_data[0]~reg0\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LDATA(0));

\LED[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(7),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(7));

\LED[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(6),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(6));

\LED[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(5),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(5));

\LED[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(4),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(4));

\LED[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(3),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(3));

\LED[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(2),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(2));

\LED[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(1));

\LED[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \Switch~combout\(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_LED(0));
END structure;


