LIBRARY IEEE;
USE  IEEE.STD_LOGIC_1164.all;
USE  IEEE.STD_LOGIC_ARITH.all;
USE  IEEE.STD_LOGIC_UNSIGNED.all;

entity clock1Khz is
	port
	(
		sys_clk		: in	std_logic;
		reset			: in  std_logic;
		out_clk 	: out	std_logic		
	);
end clock1Khz;

architecture behv of clock1Khz is
signal ccnt : std_logic_vector(15 downto 0); -- 16 bit Zhler, bis 50000 X"
signal clk_1k : std_logic;
begin
process
	begin
	 wait until rising_edge(sys_clk);
		IF RESET = '0' THEN
		 ccnt <= X"0000";
		 clk_1k <= '0';
		ELSE
				IF ccnt < X"61A8" THEN -- 50 Mhz Clock, Teiler ist 50000 fr 1 kHz
				  ccnt <= ccnt + 1;
				ELSE
		    	ccnt <= X"0000";
				  clk_1k <= NOT clk_1k;
				END IF;
		END IF;
	out_clk <= clk_1k;
	END PROCESS;
end behv;
